rpms/qt3/devel qt.csh,1.1,1.2 qt.sh,1.1,1.2 qt3.spec,1.4,1.5

Rex Dieter (rdieter) fedora-extras-commits at redhat.com
Mon Jul 7 19:45:31 UTC 2008


Author: rdieter

Update of /cvs/pkgs/rpms/qt3/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv3944

Modified Files:
	qt.csh qt.sh qt3.spec 
Log Message:
* Mon Jul 07 2008 Rex Dieter <rdieter at fedoraproject.org> - 3.3.8b-14
- QTDIR isn't set in ppc64 buildroot (#454313)
- /etc/profile.d/qt.sh leaks variable ARCH (#454260)



Index: qt.csh
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/devel/qt.csh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- qt.csh	12 Mar 2008 18:50:07 -0000	1.1
+++ qt.csh	7 Jul 2008 19:44:46 -0000	1.2
@@ -1,15 +1,33 @@
 # Qt initialization script (csh)
 
-set qt_prefix = `/usr/bin/pkg-config --variable=prefix qt-mt`
-
-if ( "${path}" !~ *$qt_prefix/bin* ) then
-   set path = ( $qt_prefix/bin $path )
-endif
+# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
+# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
+# with different arches, the installed file is the one from the preferred arch. This is
+# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
+# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
 if ( $?QTDIR ) then
    exit
 endif
 
-setenv QTDIR $qt_prefix
-setenv QTINC $qt_prefix/include
-setenv QTLIB $qt_prefix/lib
+switch (`uname -m`)
+   case x86_64:
+   case ia64:
+   case s390:
+      set QTPREFIXES = "/usr/lib64/qt-3.3 /usr/lib/qt-3.3"
+      breaksw
+   case *:
+      set QTPREFIXES = "/usr/lib/qt-3.3 /usr/lib64/qt-3.3"
+endsw
+
+foreach QTPREFIX ( $QTPREFIXES )
+  test -d "$QTPREFIX" && setenv QTDIR $QTPREFIX && break
+end
+unset QTPREFIX QTPREFIXES
+
+if ( "${path}" !~ *$QTDIR/bin* ) then
+   set path = ( $QTDIR/bin $path )
+endif
+
+setenv QTINC $QTDIR/include
+setenv QTLIB $QTDIR/lib


Index: qt.sh
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/devel/qt.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- qt.sh	12 Mar 2008 18:50:07 -0000	1.1
+++ qt.sh	7 Jul 2008 19:44:46 -0000	1.2
@@ -1,15 +1,32 @@
 # Qt initialization script (sh)
 
-qt_prefix=`/usr/bin/pkg-config --variable=prefix qt-mt`
+# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
+# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
+# with different arches, the installed file is the one from the preferred arch. This is
+# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
+# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
-if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
-   PATH=$qt_prefix/bin:${PATH}
-fi
+if [ -z "${QTDIR}" ]; then
+
+case `uname -m` in
+   x86_64 | ia64 | s390 )
+      QT_PREFIXES="/usr/lib64/qt-3.3 /usr/lib/qt-3.3" ;;
+   * )
+      QT_PREFIXES="/usr/lib/qt-3.3 /usr/lib64/qt-3.3" ;;
+esac
+
+for QTDIR in ${QT_PREFIXES} ; do
+  test -d "${QTDIR}" && break
+done
+unset QT_PREFIXES
 
-if [ -z "$QTDIR" ] ; then
-	QTDIR="$qt_prefix"
-	QTINC="$qt_prefix/include"
-	QTLIB="$qt_prefix/lib"
+if ! echo ${PATH} | /bin/grep -q $QTDIR/bin ; then
+   PATH=$QTDIR/bin:${PATH}
 fi
 
+QTINC="$QTDIR/include"
+QTLIB="$QTDIR/lib"
+
 export QTDIR QTINC QTLIB PATH
+
+fi


Index: qt3.spec
===================================================================
RCS file: /cvs/pkgs/rpms/qt3/devel/qt3.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- qt3.spec	2 Apr 2008 10:49:18 -0000	1.4
+++ qt3.spec	7 Jul 2008 19:44:46 -0000	1.5
@@ -1,6 +1,6 @@
 Summary: The shared library for the Qt 3 GUI toolkit
 Version: 3.3.8b
-Release: 12%{?dist}
+Release: 14%{?dist}
 %if 0%{?fedora} > 8
 Name: qt3
 Obsoletes: qt < 1:%{version}-%{release}
@@ -95,10 +95,9 @@
 
 Requires(post): /sbin/ldconfig
 Requires(postun): /sbin/ldconfig
-Requires: fileutils
+Requires: coreutils
 Requires: fontconfig >= 2.0
 Requires: /etc/ld.so.conf.d
-Requires: pkgconfig
 
 BuildRequires: desktop-file-utils
 BuildRequires: libmng-devel
@@ -644,6 +643,13 @@
 
 
 %changelog
+* Mon Jul 07 2008 Rex Dieter <rdieter at fedoraproject.org> - 3.3.8b-14
+- QTDIR isn't set in ppc64 buildroot (#454313)
+- /etc/profile.d/qt.sh leaks variable ARCH (#454260)
+
+* Fri May 23 2008 Than Ngo <than at redhat.com> -  3.3.8b-13
+- fix rh#448027, qt3's PATH not set properly unless qt3-devel is installed
+
 * Wed Apr 02 2008 Than Ngo <than at redhat.com> -  3.3.8b-12
 - get rid of 0088-fix-xinput-clash.diff, it's fixed in
   new xorg-x11-proto-7.3-11




More information about the fedora-extras-commits mailing list